apiVersion: chaos-mesh.org/v1alpha1
kind: NetworkChaos
metadata:
  name: jenkins-network-delay
spec:
  action: delay # the specific chaos action to inject
  mode: one # the mode to run chaos action; supported modes are one/all/fixed/fixed-percent/random-max-percent
  selector: # pods where to inject chaos actions
    namespaces:
      - jenkins
      - vault
  delay:
    latency: '300ms'
  duration: '5m'
